Skip to main content
PUT
/
v1
/
datasets
/
{dataset_identifier}
/
labels
/
{label_id}
Apply a label to a dataset
curl --request PUT \
  --url https://api.example.com/v1/datasets/{dataset_identifier}/labels/{label_id}
import requests

url = "https://api.example.com/v1/datasets/{dataset_identifier}/labels/{label_id}"

response = requests.put(url)

print(response.text)
const options = {method: 'PUT'};

fetch('https://api.example.com/v1/datasets/{dataset_identifier}/labels/{label_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "color": "<string>"
  }
}
"<string>"
"<string>"
"<string>"

Path Parameters

dataset_identifier
string
required

The dataset identifier: either the dataset ID (GlobalID) or its name.

label_id
string
required

The ID of the dataset label to apply

Response

Successful Response

data
DatasetLabel · object
required